Subject: [PATCH] arm: socfpga: Fix incorrect sdmmc clock name

From: [email-masked] (Mike Turquette)
Date: Mon, 07 Oct 2013 16:28:57 -0700

Quoting Dinh Nguyen (2013-10-07 13:37:29)
> Hi Mike,
> 
> On Mon, 2013-10-07 at 13:12 -0700, Mike Turquette wrote:
> > Quoting Dinh Nguyen (2013-08-14 07:57:54)
> > > On Tue, 2013-08-13 at 22:48 -0700, Olof Johansson wrote:
> > > > On Mon, Aug 12, 2013 at 10:42:14AM -0500, dinguyen at altera.com wrote:
> > > > > From: Dinh Nguyen <[email-masked]>
> > > > > 
> > > > > The SD/MMC clock is named "sdmmc_clk", and NOT "mmc_clk".
> > > > > 
> > > > > Signed-off-by: Dinh Nguyen <[email-masked]>
> > > > > Cc: Mike Turquette <[email-masked]>
> > > > > CC: Arnd Bergmann <[email-masked]>
> > > > > CC: Olof Johansson <[email-masked]>
> > > > > Cc: Pavel Machek <[email-masked]>
> > > > > Cc: linux-arm-kernel at lists.infradead.org
> > > > 
> > > > Hi Dinh,
> > > > 
> > > > Do you want this applied in fixes for 3.11? If so, can you give me a oneliner
> > > > on what the impact here is? mmc doesn't come up at all, or something more
> > > > subtle?
> > > 
> > > Hi Olof,
> > > 
> > > No, this is go into 3.12 as I am still working on the bindings for
> > > SD/MMC.
> > > 
> > > The oneliner: "The SD/MMC driver was intermittently not coming up
> > > because it was not able to get the correct clock."
> > 
> > Olof, did you take this? If not I'll put it into my next batch of fixes
> > for 3.12.
> 
> No, Olof did not get a chance to pick this up for 3.12. I resent the
> patch with the updated commit message for 3.13:
> 
> http://lists.infradead.org/pipermail/linux-arm-kernel/2013-September/198824.html

Thanks for the link. I've taken that version into clk-fixes for 3.12.

Regards,
Mike

> Thanks,
> Dinh
> > Regards,
> > Mike
> > > Thanks,
> > > Dinh
> > > > -Olof